gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.BindingSignal

Contents

- Exported types
- Methods
- Properties
  - nArgs
  - next
  - signalName

Description

A GtkBindingSignal stores the necessary information to activate a widget in response to a key press via a signal emission.

Synopsis

- newtype BindingSignal = BindingSignal (ManagedPtr BindingSignal)
- newZeroBindingSignal :: MonadIO m => m BindingSignal
- getBindingSignalNArgs :: MonadIO m => BindingSignal -> m Word32
- setBindingSignalNArgs :: MonadIO m => BindingSignal -> Word32 -> m ()
- clearBindingSignalNext :: MonadIO m => BindingSignal -> m ()
- getBindingSignalNext :: MonadIO m => BindingSignal -> m (Maybe BindingSignal)
- setBindingSignalNext :: MonadIO m => BindingSignal -> Ptr BindingSignal -> m ()
- clearBindingSignalSignalName :: MonadIO m => BindingSignal -> m ()
- getBindingSignalSignalName :: MonadIO m => BindingSignal -> m (Maybe Text)
- setBindingSignalSignalName :: MonadIO m => BindingSignal -> CString -> m ()

# Exported types

newtype BindingSignal Source #

Memory-managed wrapper type.

Constructors

BindingSignal (ManagedPtr BindingSignal) |

#### Instances

Instances details

Eq BindingSignal Source # |
Instance details Defined in GI.Gtk.Structs.BindingSignal Methods (==) :: BindingSignal -> BindingSignal -> Bool Source # (/=) :: BindingSignal -> BindingSignal -> Bool Source #
BoxedPtr BindingSignal Source # |
Instance details Defined in GI.Gtk.Structs.BindingSignal Methods boxedPtrCopy :: BindingSignal -> IO BindingSignal Source # boxedPtrFree :: BindingSignal -> IO () Source #
CallocPtr BindingSignal Source # |
Instance details Defined in GI.Gtk.Structs.BindingSignal Methods boxedPtrCalloc :: IO (Ptr BindingSignal) Source #
ManagedPtrNewtype BindingSignal Source # |
Instance details Defined in GI.Gtk.Structs.BindingSignal Methods toManagedPtr :: BindingSignal -> ManagedPtr BindingSignal Source #
tag ~ 'AttrSet => Constructible BindingSignal tag Source # |
Instance details Defined in GI.Gtk.Structs.BindingSignal Methods new :: MonadIO m => (ManagedPtr BindingSignal -> BindingSignal) -> [AttrOp BindingSignal tag] -> m BindingSignal Source #

newZeroBindingSignal :: MonadIO m => m BindingSignal Source #

Construct a `BindingSignal` struct initialized to zero.

# Methods

# Properties

## nArgs

number of arguments specified for the signal

getBindingSignalNArgs :: MonadIO m => BindingSignal -> m Word32 Source #

Get the value of the “`n_args`” field. When overloading is enabled, this is equivalent to

    get bindingSignal #nArgs

setBindingSignalNArgs :: MonadIO m => BindingSignal -> Word32 -> m () Source #

Set the value of the “`n_args`” field. When overloading is enabled, this is equivalent to

    set bindingSignal [ #nArgs := value ]

## next

implementation detail

clearBindingSignalNext :: MonadIO m => BindingSignal -> m () Source #

Set the value of the “`next`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #next

getBindingSignalNext :: MonadIO m => BindingSignal -> m (Maybe BindingSignal) Source #

Get the value of the “`next`” field. When overloading is enabled, this is equivalent to

    get bindingSignal #next

setBindingSignalNext :: MonadIO m => BindingSignal -> Ptr BindingSignal -> m () Source #

Set the value of the “`next`” field. When overloading is enabled, this is equivalent to

    set bindingSignal [ #next := value ]

## signalName

the action signal to be emitted

clearBindingSignalSignalName :: MonadIO m => BindingSignal -> m () Source #

Set the value of the “`signal_name`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #signalName

getBindingSignalSignalName :: MonadIO m => BindingSignal -> m (Maybe Text) Source #

Get the value of the “`signal_name`” field. When overloading is enabled, this is equivalent to

    get bindingSignal #signalName

setBindingSignalSignalName :: MonadIO m => BindingSignal -> CString -> m () Source #

Set the value of the “`signal_name`” field. When overloading is enabled, this is equivalent to

    set bindingSignal [ #signalName := value ]